package com.ruoyi.warehouseBusiness.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class InStock  {
    private static final long serialVersionUID = 1L;


    /**
     * 创建者
     */
    @Excel(name = "制单人")
    private String createBy;

    /**
     *  库存明细 1 未入账  2 未完成所有入账  6  已入账
     */
    @Excel(name = "入库状态")
    private String fItemsStatus;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "货权方")
    private String fCorpid;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /** 明细品名合计 */
    @Excel(name = "品名")
    private String fProductName;

    /**
     * 唛头
     */
    @Excel(name = "品牌")
    private String fMarks;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /**
     * 仓库
     */
    @Excel(name = "仓库")
    private String fWarehouseid;

    /**
     * 计划件数,由明细表自动合计生成
     */
    @Excel(name = "计划件数")
    private Integer fPlanqty;

    /**
     * 件数,由明细表自动合计生成
     */
    @Excel(name = "入库件数")
    private Integer fQty;

    /**
     * 毛重，由明细表自动合计生成
     */
    @Excel(name = "入库毛重（KG）")
    private Float fGrossweight;

    /**
     * 净重，由明细表自动合计生成
     */
    @Excel(name = "入库净重（KG）")
    private Float fNetweight;

    /** 业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别) */
    @Excel(name = "业务类别")
    private String fBusinessType;

    /**
     * 状态(数据字典),N 入（出）库中，T入（出）库完成，状态为完成不能删除，状态变化，用邮件、微信通知客户。
     */
    @Excel(name = "费用状态")
    private String fBillstatus;

    /** 车号 */
    @Excel(name = "车号")
    private String fTruckno;

    /** 司机名 */
    @Excel(name = "司机名称")
    private String fDriverName;

    /** 司机电话 */
    @Excel(name = "司机电话")
    private String fDriverTel;

    /** 司机身份证 */
    @Excel(name = "司机身份证")
    private String fDriverIdCar;

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(String fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfTruckno() {
        return fTruckno;
    }

    public void setfTruckno(String fTruckno) {
        this.fTruckno = fTruckno;
    }

    public String getfDriverName() {
        return fDriverName;
    }

    public void setfDriverName(String fDriverName) {
        this.fDriverName = fDriverName;
    }

    public String getfDriverTel() {
        return fDriverTel;
    }

    public void setfDriverTel(String fDriverTel) {
        this.fDriverTel = fDriverTel;
    }

    public String getfDriverIdCar() {
        return fDriverIdCar;
    }

    public void setfDriverIdCar(String fDriverIdCar) {
        this.fDriverIdCar = fDriverIdCar;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }



    public String getfItemsStatus() {
        return fItemsStatus;
    }

    public void setfItemsStatus(String fItemsStatus) {
        this.fItemsStatus = fItemsStatus;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfWarehouseid() {
        return fWarehouseid;
    }

    public void setfWarehouseid(String fWarehouseid) {
        this.fWarehouseid = fWarehouseid;
    }

    public Integer getfPlanqty() {
        return fPlanqty;
    }

    public void setfPlanqty(Integer fPlanqty) {
        this.fPlanqty = fPlanqty;
    }

    public Integer getfQty() {
        return fQty;
    }

    public void setfQty(Integer fQty) {
        this.fQty = fQty;
    }

    public Float getfGrossweight() {
        return fGrossweight;
    }

    public void setfGrossweight(Float fGrossweight) {
        this.fGrossweight = fGrossweight;
    }

    public Float getfNetweight() {
        return fNetweight;
    }

    public void setfNetweight(Float fNetweight) {
        this.fNetweight = fNetweight;
    }
}
